package com.ssj.service.weixin.library.service.impl;


import java.util.List;
import java.util.Map;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.repository.PagingAndSortingRepository;

import com.alibaba.dubbo.config.annotation.Service;
import com.ssj.bean.weixin.libmy.domain.TbLibDrift;
import com.ssj.dao.weixin.library.dao.IBookDetailQueryDao;
import com.ssj.dao.weixin.library.dao.ILibDriftDao;
import com.ssj.framework.core.common.service.BaseServiceImpl;
import com.ssj.service.weixin.library.service.ILibDriftService;


@Service(version="1.0")
public class LibDriftServiceImpl extends BaseServiceImpl<TbLibDrift, String> implements ILibDriftService {

	@Autowired
	private ILibDriftDao dao;
	
	@Autowired
	private IBookDetailQueryDao queryDao;
	
	@Override
	public PagingAndSortingRepository<TbLibDrift, String> getDao() {
		
		return dao;
	}

	@Override
	public TbLibDrift findByOldUserIdAndBookDetailId(String userId, String detailId) {
		
		return dao.findByOldUserIdAndBookDetailId(userId,detailId);
	}

	@Override
	public List<Map<String, Object>> getPlList(String infoId) {
		
		return queryDao.getPlList(infoId);
	}

	@Override
	public List<Map<String, Object>> findIsRead(String id, String userId) {
		
		return queryDao.findIsRead(id,userId);
	}

	

}
